<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="_sign_in_dialog_8h" kind="file" language="C++">
    <compoundname>SignInDialog.h</compoundname>
    <includes local="no">QDateTime</includes>
    <includes local="no">QDateEdit</includes>
    <includes local="no">QDialog</includes>
    <includes local="no">QComboBox</includes>
    <includes local="no">QGridLayout</includes>
    <includes local="no">QLabel</includes>
    <includes local="no">QLineEdit</includes>
    <includes local="no">QMessageBox</includes>
    <includes local="no">QPushButton</includes>
    <includedby refid="_login_dialog_8h" local="yes">gui/dialogs/LoginDialog/LoginDialog.h</includedby>
    <includedby refid="_sign_in_dialog_8cpp" local="yes">gui/dialogs/SignInDialog/SignInDialog.cpp</includedby>
    <incdepgraph>
      <node id="501">
        <label>gui/dialogs/SignInDialog/SignInDialog.h</label>
        <link refid="SignInDialog.h"/>
        <childnode refid="502" relation="include">
        </childnode>
        <childnode refid="503" relation="include">
        </childnode>
        <childnode refid="504" relation="include">
        </childnode>
        <childnode refid="505" relation="include">
        </childnode>
        <childnode refid="506" relation="include">
        </childnode>
        <childnode refid="507" relation="include">
        </childnode>
        <childnode refid="508" relation="include">
        </childnode>
        <childnode refid="509" relation="include">
        </childnode>
        <childnode refid="510" relation="include">
        </childnode>
      </node>
      <node id="509">
        <label>QMessageBox</label>
      </node>
      <node id="502">
        <label>QDateTime</label>
      </node>
      <node id="503">
        <label>QDateEdit</label>
      </node>
      <node id="504">
        <label>QDialog</label>
      </node>
      <node id="508">
        <label>QLineEdit</label>
      </node>
      <node id="510">
        <label>QPushButton</label>
      </node>
      <node id="507">
        <label>QLabel</label>
      </node>
      <node id="505">
        <label>QComboBox</label>
      </node>
      <node id="506">
        <label>QGridLayout</label>
      </node>
    </incdepgraph>
    <invincdepgraph>
      <node id="511">
        <label>gui/dialogs/SignInDialog/SignInDialog.h</label>
        <link refid="SignInDialog.h"/>
        <childnode refid="512" relation="include">
        </childnode>
      </node>
      <node id="514">
        <label>app/App/App.h</label>
        <link refid="_app_8h_source"/>
      </node>
      <node id="513">
        <label>gui/Gui/Gui.h</label>
        <link refid="_gui_8h_source"/>
        <childnode refid="514" relation="include">
        </childnode>
      </node>
      <node id="512">
        <label>gui/dialogs/LoginDialog/LoginDialog.h</label>
        <link refid="_login_dialog_8h_source"/>
        <childnode refid="513" relation="include">
        </childnode>
      </node>
    </invincdepgraph>
    <innerclass refid="class_sign_in_dialog" prot="public">SignInDialog</innerclass>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"></codeline>
<codeline lineno="18"><highlight class="preprocessor">#ifndef<sp/>LIBRARYMGR_SIGNINDIALOG_H</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="19"><highlight class="normal"></highlight><highlight class="preprocessor">#define<sp/>LIBRARYMGR_SIGNINDIALOG_H</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="20"><highlight class="normal"></highlight></codeline>
<codeline lineno="21"><highlight class="normal"></highlight></codeline>
<codeline lineno="22"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QDateTime&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="23"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QDateEdit&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="24"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QDialog&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="25"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QComboBox&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="26"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QGridLayout&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="27"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QLabel&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="28"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QLineEdit&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="29"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QMessageBox&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="30"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QPushButton&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="31"><highlight class="normal"></highlight></codeline>
<codeline lineno="35" refid="class_sign_in_dialog" refkind="compound"><highlight class="keyword">class<sp/></highlight><highlight class="normal"><ref refid="class_sign_in_dialog" kindref="compound">SignInDialog</ref><sp/>:<sp/></highlight><highlight class="keyword">public</highlight><highlight class="normal"><sp/>QDialog<sp/>{</highlight></codeline>
<codeline lineno="36"><highlight class="normal">Q_OBJECT</highlight></codeline>
<codeline lineno="37"><highlight class="normal"></highlight></codeline>
<codeline lineno="38"><highlight class="normal"></highlight><highlight class="keyword">public</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">explicit</highlight><highlight class="normal"><sp/><ref refid="class_sign_in_dialog_1aaf0256ac655e075b5cbe6b206b00500c" kindref="member">SignInDialog</ref>(QDialog<sp/>*parent<sp/>=<sp/>0);</highlight></codeline>
<codeline lineno="45"><highlight class="normal"></highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp/><ref refid="class_sign_in_dialog_1a8bda7f67a50360ffa94b38b0fda0f322" kindref="member">show</ref>();</highlight></codeline>
<codeline lineno="50"><highlight class="normal"></highlight></codeline>
<codeline lineno="51"><highlight class="normal"></highlight><highlight class="keyword">public</highlight><highlight class="normal"><sp/>slots:</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp/><ref refid="class_sign_in_dialog_1ad9c9146cbedecab272b306e4a36c28b4" kindref="member">signIn</ref>();</highlight></codeline>
<codeline lineno="56"><highlight class="normal"></highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp/><ref refid="class_sign_in_dialog_1a63a8d41fe5c19b8c684f14bb5a27d9b7" kindref="member">getSignInRequestResult</ref>(</highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/>signInOk);</highlight></codeline>
<codeline lineno="62"><highlight class="normal"></highlight></codeline>
<codeline lineno="63"><highlight class="normal">signals:</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp/><ref refid="class_sign_in_dialog_1a58bb0a5765243955fef02d5ae40f0e80" kindref="member">sendSignInRequest</ref>(QString<sp/>username,<sp/>QString<sp/>password);</highlight></codeline>
<codeline lineno="70"><highlight class="normal"></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp/><ref refid="class_sign_in_dialog_1aa2f71cae10fc7177d709e04be51c8e17" kindref="member">sendSignInProcessIsComplete</ref>();</highlight></codeline>
<codeline lineno="75"><highlight class="normal"></highlight></codeline>
<codeline lineno="76"><highlight class="normal"></highlight><highlight class="keyword">private</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>gui</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp/><sp/><sp/><sp/>QLineEdit<sp/>*emailInputLabel;</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp/><sp/><sp/><sp/>QLineEdit<sp/>*passwordInputLabel;</highlight></codeline>
<codeline lineno="80"><highlight class="normal"></highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp/><sp/><sp/><sp/>QPushButton<sp/>*signInButton;</highlight></codeline>
<codeline lineno="82"><highlight class="normal"></highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp/>setup();</highlight></codeline>
<codeline lineno="87"><highlight class="normal">};</highlight></codeline>
<codeline lineno="88"><highlight class="normal"></highlight></codeline>
<codeline lineno="89"><highlight class="normal"></highlight></codeline>
<codeline lineno="90"><highlight class="normal"></highlight><highlight class="preprocessor">#endif<sp/>//LIBRARYMGR_SIGNINDIALOG_H</highlight></codeline>
    </programlisting>
    <location file="gui/dialogs/SignInDialog/SignInDialog.h"/>
  </compounddef>
</doxygen>
